/* Fesslix-library finan
 * Copyright (C) 2014-2014 Wolfgang Betz
 */

#ifndef flxlibs_interface_H
#define flxlibs_interface_H

#include "flxobjects.h"


class flxlibs_interface {
  private:
    std::list<std::string> obj_list;
    std::list<std::string> fun_list;
    
    FlxObjectReadBox* objReadBox;
    FlxFunctionBox* funBox;
  public:
    flxlibs_interface() : objReadBox(NULL), funBox(NULL) {}
    ~flxlibs_interface();
    
    void set_boxes(FlxObjectReadBox* objReadBoxV, FlxFunctionBox* funBoxV);
    void free_memory();
    
    void add_obj(const std::string name, FlxObjReadBase* obj);
    void add_fun(const std::string name, FunReadFunBase* fun);
};






#endif // flxlibs_interface_H